net.sf.jasperreports.crosstabs.design

## Class JRDesignCrosstabParameter

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseParameter
  - - net.sf.jasperreports.engine.design.JRDesignParameter
    - - net.sf.jasperreports.crosstabs.design.JRDesignCrosstabParameter

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRCrosstabParameter, JRChangeEventsSupport, JRCloneable, JRDatasetParameter, JRParameter, JRPropertiesHolder

      public class JRDesignCrosstabParameter
      extends JRDesignParameter
      implements JRCrosstabParameter

  Implementation of crosstab parameters to be used for report designing.
  Version:
    $Id: JRDesignCrosstabParameter.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_VALUE_EXPRESSION`
    `protected JRExpression` | `valueExpression`

    - ### Fields inherited from class net.sf.jasperreports.engine.design.JRDesignParameter

      `PROPERTY_DEFAULT_VALUE_EXPRESSION, PROPERTY_FOR_PROMPTING, PROPERTY_NAME, PROPERTY_NESTED_TYPE_NAME, PROPERTY_SYSTEM_DEFINED, PROPERTY_VALUE_CLASS_NAME`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseParameter

      `defaultValueExpression, description, isForPrompting, isSystemDefined, name, nestedType, nestedTypeName, propertiesMap, PROPERTY_DESCRIPTION, valueClass, valueClassName, valueClassRealName`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRParameter

      `FILTER, IS_IGNORE_PAGINATION, JASPER_REPORT, JASPER_REPORTS_CONTEXT, REPORT_CLASS_LOADER, REPORT_CONNECTION, REPORT_CONTEXT, REPORT_DATA_SOURCE, REPORT_FILE_RESOLVER, REPORT_FORMAT_FACTORY, REPORT_LOCALE, REPORT_MAX_COUNT, REPORT_PARAMETERS_MAP, REPORT_RESOURCE_BUNDLE, REPORT_SCRIPTLET, REPORT_TEMPLATES, REPORT_TIME_ZONE, REPORT_URL_HANDLER_FACTORY, REPORT_VIRTUALIZER, SORT_FIELDS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignCrosstabParameter()` Creates a crosstab parameter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRExpression` | `getExpression()` Returns the value expression.
    `void` | `setExpression(JRExpression expression)` Sets the parameter value expression.

    - ### Methods inherited from class net.sf.jasperreports.engine.design.JRDesignParameter

      `setDefaultValueExpression, setForPrompting, setName, setNestedType, setNestedTypeName, setSystemDefined, setValueClass, setValueClassName`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseParameter

      `getDefaultValueExpression, getDescription, getEventSupport, getName, getNestedType, getNestedTypeName, getParentProperties, getPropertiesMap, getValueClass, getValueClassName, hasProperties, isForPrompting, isSystemDefined, setDescription`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRParameter

      `getDefaultValueExpression, getDescription, getName, getNestedType, getNestedTypeName, getValueClass, getValueClassName, isForPrompting, isSystemDefined, setDescription`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRDatasetParameter

      `getName`

- - ### Field Detail

    - #### PROPERTY_VALUE_EXPRESSION

          public static final java.lang.String PROPERTY_VALUE_EXPRESSION

      See Also:
        Constant Field Values

    - #### valueExpression

          protected JRExpression valueExpression

  - ### Constructor Detail

    - #### JRDesignCrosstabParameter

          public JRDesignCrosstabParameter()

      Creates a crosstab parameter.

  - ### Method Detail

    - #### getExpression

          public JRExpression getExpression()

      Description copied from interface: `JRDatasetParameter`
      Returns the value expression.
      Specified by:
        `getExpression` in interface `JRDatasetParameter`
      Returns:
        the value expression

    - #### setExpression

          public void setExpression(JRExpression expression)

      Sets the parameter value expression.
      Parameters:
        `expression` - the parameter value expression

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseParameter`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com